C*************************************************************************
C COPYRIGHT (C) 1999 - 2002  EDF R&D
C THIS LIBRARY IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
C IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE 
C AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION; 
C EITHER VERSION 2.1 OF THE LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.
C
C THIS LIBRARY IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
C WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
C MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
C LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
C
C YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE
C ALONG WITH THIS LIBRARY; IF NOT, WRITE TO THE FREE SOFTWARE FOUNDATION,
C INC., 59 TEMPLE PLACE, SUITE 330, BOSTON, MA 02111-1307 USA
C
C**************************************************************************


C ******************************************************************************
C * - Nom du fichier : test12.f
C *
C * - Description : ecriture d'une equivalence sous MED 
C *
C ******************************************************************************
	program test12
C     
	implicit none
	include 'med.hf'


C ******************************************************************************
C * Description :
C *    - ouverture du fichier
C *    - creation d'un maillage
C *    - creation d'une equivalence sur des mailles MED_TRIA3 associee 
C *      au maillage
C *    - fermeture du fichier
C ******************************************************************************

        integer cret,fid
        character*32 maa , equ 
        character*200 des
        integer mdim ,ncor
        integer cor(6)

        parameter (maa ="maa1",mdim = 3,ncor = 3 )
        data cor /1,2,3,4,5,6/, equ / "equivalence"/
        data des / "equivalence sur les mailles MED_TRIA3" /

C  ** ouverture du fichier **
	call efouvr(fid,'test12.med',MED_REMP, cret)
	print *,cret

  
C  ** creation du maillage **
	if (cret .eq. 0) then
	   call efmaac(fid,maa,mdim,cret)
	endif
	print *,cret  
  
C ** creation de l'equivalence **
	if (cret .eq. 0) then
           call efequc(fid,maa,equ,des,cret)
	endif
	print *,cret  
        
C ** ecriture de l'equivalence sur les mailles MED_TRIA3 **
 	if (cret .eq. 0) then
          call efeque(fid,maa,equ,cor,ncor,
     &          MED_ECRI,MED_MAILLE,MED_TRIA3,cret)
	endif
	print *,cret  
        
C ** fermeture du fichier                                **
 	call efferm (fid,cret)
	print *,cret
     
	end
