C*************************************************************************
C COPYRIGHT (C) 1999 - 2002  EDF R&D
C THIS LIBRARY IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
C IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE 
C AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION; 
C EITHER VERSION 2.1 OF THE LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.
C
C THIS LIBRARY IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
C WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
C MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
C LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
C
C YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE
C ALONG WITH THIS LIBRARY; IF NOT, WRITE TO THE FREE SOFTWARE FOUNDATION,
C INC., 59 TEMPLE PLACE, SUITE 330, BOSTON, MA 02111-1307 USA
C
C**************************************************************************

C     ******************************************************************************
C     * - Nom du fichier : test14.f
C     *
C     * - Description : ecriture des objets MED relatifs aux noeuds
C     *                 a l'aide des routines de niveau intermediaire 
C     *                 MED - equivalent a test4.f
C     *
C     ******************************************************************************
      program test14           
C     
      implicit none             
      include 'med.hf'



C     ******************************************************************************
C     *    - creation d'un fichier MED
C     *    - ecriture des noeuds : coordonnees en mode MED_FULL_INTERLACE,
C     *                            noms,numeros,numeros de familles
C     *    - fermeture du fichier
C     ******************************************************************************
      
      integer cret, fid
C     ** la dimension du maillage **
      integer mdim
C     ** nom du maillage de longueur maxi MED_TAILLE_NOM ** 
      character*32 maa
C     ** le nombre de noeuds **
      integer   nnoe
      parameter (mdim=2,maa="maa1",nnoe=4)
C     ** table des coordonnees  
      real*8 coo(mdim*nnoe)
C     ** tables des noms et des unites des coordonnees 
      character*8 nomcoo(mdim), unicoo(mdim) 
C     ** tables des noms, numeros, numeros de familles des noeuds
C     autant d'elements que de noeuds - les noms ont pout longueur
C     MED_TAILLE_PNOM : 8  **
      character*8 nomnoe(nnoe)
      integer numnoe(nnoe), nufano(nnoe)

      data   coo /0.0, 0.0, 1.0, 0.0, 0.0, 1.0, 1.0, 1.0/
      data   nomcoo /"x","y"/, unicoo /"cm","cm"/
      data   nomnoe /"nom1","nom2","nom3","nom4"/
      data   numnoe /1,2,3,4/,nufano /0,1,2,2/
      
C  ** ouverture du fichier **
      call efouvr(fid,'test14.med',MED_REMP, cret)
      print *,cret

C  ** creation du maillage  maa de dimension 2 **
      if (cret .eq. 0) then
         call efmaac(fid,maa,mdim,cret)
      endif
      print *,cret  
      
C     ** ecriture des noeuds d'un maillage MED : 
C     - des coo en mode MED_FULL_INTERLACE : (X1,Y1,X2,Y2,X3,Y3,...) 
C     dans un repere cartesien 
C     - des noms (optionnel dans un fichier MED) 
C     - des numeros (optionnel dans un fichier MED) 
C     - des numeros de familles des noeuds **	      
      
      if (cret.eq.0) then
      call efnoee(fid,maa,mdim,coo,MED_FULL_INTERLACE,MED_CART,
     &     nomcoo,unicoo,nomnoe,MED_VRAI,numnoe,MED_VRAI,
     &     nufano,nnoe,MED_ECRI,cret)
      endif
      print *,cret
      
C     ** fermeture du fichier **
      call efferm (fid,cret)
      print *,cret
      
      end 
	


