C*************************************************************************
C COPYRIGHT (C) 1999 - 2002  EDF R&D
C THIS LIBRARY IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
C IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE 
C AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION; 
C EITHER VERSION 2.1 OF THE LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.
C
C THIS LIBRARY IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
C WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
C MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
C LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
C
C YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE
C ALONG WITH THIS LIBRARY; IF NOT, WRITE TO THE FREE SOFTWARE FOUNDATION,
C INC., 59 TEMPLE PLACE, SUITE 330, BOSTON, MA 02111-1307 USA
C
C**************************************************************************

C ******************************************************************************
C * - Nom du fichier : test2.f
C *
C * - Description : tests de la routine de creation de maillage 
C *                 MED
C *
C ******************************************************************************
      program test2
C     
      implicit none
      include 'med.hf'
C
C

C ******************************************************************************
C * OUVERTURE/FERMETURE DE FICHIERS :
C *
C * Description :
C *    - ouverture du fichier en mode ecriture avec remplacement
C *    - creation de 3 maillages
C *    - fermeture du fichier
C ******************************************************************************

      integer cret,ret
      integer fid
      character*200 des

C  ** verifie que le fichier test1.med est utilisable par MED2.0 **
      call effoco('test1.med',cret)
      print *,cret

C  ** Ouverture en mode de lecture du fichier test1.med
      if (cret .eq. 0) then
         call efouvr(fid,'test1.med',MED_LECT, cret)
      endif
      print *,cret

C  ** Affiche le n de version d'HDF
      if (cret .eq. 0) then
         call effien (fid, MED_HDF_VERSION,des,cret)
      endif
      if (cret .eq. 0) then
         print *,"VERSION DE HDF : ",des
      endif
      print *,cret
      
C  ** Affiche le n de version de MED
      if (cret .eq. 0) then
         call effien (fid, MED_VERSION,des,cret)
      endif
      if (cret .eq. 0) then
         print *,"VERSION DE MED : ",des
      endif
      print *,cret

C  ** Affiche le descripteur de fichier
      if (cret .eq. 0) then
         call effien (fid, MED_FICH_DES,des,cret)
      endif
      if (cret .eq. 0) then
         print *,"DESCRIPTEUR DE FICHIER : ",des
      endif
      print *,cret

 
C  ** Fermeture du fichier test1.med 
      call efferm (fid,cret)
      print *,cret

      
C  ** Ouverture en mode de remplacement du fichier test2.med
    
      if (cret .eq. 0) then
         call efouvr(fid,'test2.med',MED_REMP, cret)
         print *,cret
      endif
      
C  **  creations des maillages maa1,maa2,maa3 de dimensions 3,2,1 **

      if (cret .eq. 0) then
         call efmaac(fid,'maa1',3,cret)
	 call efunvc(fid,'maa1',ret)
         cret = cret + ret
      endif
      print *,cret
      
       if (cret .eq. 0) then
         call efmaac(fid,'maa2',2,cret)
         call efunvc(fid,'maa2',ret)
         cret = cret + ret
      endif
      print *,cret

      if (cret .eq. 0) then
         call efmaac(fid,'maa3',1,cret)
         call efunvc(fid,'maa3',ret)
         cret = cret + ret
      endif
      print *,cret

      call efferm (fid,cret)
      print *,cret
      
      end 





